body {
  overflow: hidden;
}
#gameCanvas {
  width: 100%;
  height: auto;
}
.modal-opened {
  overflow: hidden;
}
/* Fullscreen Modal Styles */
#modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.9);
  display: none;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  z-index: 1000;
  opacity: 0;
  transition: opacity 1s ease-in-out;
}
#modal.show {
  display: flex;
  opacity: 1;
}
/* Slider Container */
#slider {
  position: relative;
  width: 90%;
  max-width: 100%;
  height: 95vh;
  display: flex;
  align-items: center;
  animation: customBounInEffect 1.5s forwards;
}
.slider-content {
  border-radius: 20px;
  overflow: hidden;
}
@keyframes customBounInEffect {
  0% {
    transform: scale(0);
  }
  50% {
    transform: scale(0.9);
  }
  100% {
    transform: scale(0.8);
  }
}

/* Slider Images */
.slide {
  display: none;
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: fill;
  transition: opacity 1s ease-in-out;
  border-radius: 20px;
}

.slide.active {
  display: block;
  opacity: 1;
}

.slide.fade-out {
  opacity: 0;
}

/* Navigation Buttons */
.nav-button {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  border: none;
  color: white;
  font-size: 2rem;
  cursor: pointer;
  outline: none;
  background: #555;
  border-radius: 24px;
  height: 60px;
}

#prevBtn {
  left: -3%;
}
#prevBtn:disabled,
#nextBtn:disabled {
  opacity: 0.4;
}
#nextBtn {
  right: -3%;
}

/* Close Button */
#closeBtn {
  position: absolute;
  top: 20px;
  right: 20px;
  background: none;
  border: none;
  color: white;
  font-size: 2rem;
  cursor: pointer;
  outline: none;
}

/* Fullscreen Modal Styles */
#IntroScreen {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.8);
  display: none;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  z-index: 1000;
  opacity: 0;
  transition: opacity 1s ease-in-out;
  color: white;
}
#IntroScreen.show {
  display: flex;
  opacity: 1;
}

/* Menu */
.hamburger-menu {
  position: fixed;
  top: 20px;
  left: 20px;
  z-index: 1000;
  background-color: #a100ff;
  border-radius: 5px;
}

.menu-button {
  position: center;
  padding-bottom: 3px;
  font-size: 24px;
  color: white;
  background: none;
  border: none;
  cursor: pointer;
}

.menu-options {
  position: absolute;
  top: 40px;
  left: 0;
  background-color: white;
  border: 1px solid #ccc;
  padding: 10px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
  width: auto;
  max-width: 300px;
  min-width: 200px;
  border-radius: 5px;
}

.menu-option {
  display: block;
  padding: 10px;
  background: none;
  border: none;
  text-align: center;
  width: 100%;
  cursor: pointer;
}

.menu-option:hover {
  background-color: #f0f0f0;
}

.hidden {
  display: none;
}
